Bug 242853 - SELinux denial with df on new F7 install
SELinux denial with df on new F7 install
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-06-06 00:45 EDT by vfiend
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-11 08:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vfiend 2007-06-06 00:45:44 EDT
    SELinux is preventing /bin/df (logwatch_t) "getattr" to / (unlabeled_t).

Additional Information        

Source Context                system_u:system_r:logwatch_t
Target Context                system_u:object_r:unlabeled_t
Target Objects                / [ filesystem ]
Affected RPM Packages         coreutils-6.9-2.fc7
                              [application]filesystem-2.4.6-1.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     monolith
Platform                      Linux monolith 2.6.21-1.3194.fc7 #1 SMP Wed May 23
                              22:47:07 EDT 2007 x86_64 x86_64
Alert Count                   2
First Seen                    Tue 05 Jun 2007 04:31:18 AM PDT
Last Seen                     Tue 05 Jun 2007 04:31:18 AM PDT
Local ID                      05b46de7-3f60-4149-8b49-2e4e0a2f62de
Line Numbers                  

Raw Audit Messages            

avc: denied { getattr } for comm="df" dev=vmblock egid=0 euid=0 exe="/bin/df"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="/" pid=9721
scontext=system_u:system_r:logwatch_t:s0 sgid=0
subj=system_u:system_r:logwatch_t:s0 suid=0 tclass=filesystem
tcontext=system_u:object_r:unlabeled_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-06-06 11:20:33 EDT
Any idea what file system is "unlabeled".  This usually means you have a file
system that SELinux does not know about.
Comment 2 vfiend 2007-06-06 18:48:49 EDT
No idea, it just happened during the first night after the install when it was
running all the cron jobs the first time. I installed with F7 file system
defaults, the only thing different I did was add user_xattr to / in fstab.
Should I try an autorelabel or something?
Comment 3 vfiend 2007-06-09 05:14:19 EDT
Hmm, hasn't happened since the first night's cron jobs after the install.
Comment 4 Daniel Walsh 2007-06-11 08:16:20 EDT
Ok, well I have no idea then. I am going to close this and please reopen if it
happens again.

Note You need to log in before you can comment on or make changes to this bug.